##############################################################################
#
# Enfold Stage Deployment - Remote Deployment of Staged Content
# Copyright (C) 2005 Enfold Systems
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
##############################################################################
"""
$Id: config.py 3547 2005-12-03 13:08:40Z sidnei $
"""
from zLOG import LOG, INFO, DEBUG, BLATHER

DEPLOYMENT_TARGET = 'deployment_target_address'
DEFAULT_TARGET = '127.0.0.1:9101'
CACHE_THRESHOLD = 100
PICKLE_DEBUG = True
GLOBALS = globals()

PROJECTNAME = 'StageDeployment'

class Logger:

    def log(self, msg, **kw):
        level = kw.get('level', BLATHER)
        LOG(PROJECTNAME, level, msg)

    def debug(self, msg, **kw):
        kw['level'] = DEBUG
        self.log(msg, **kw)

    def info(self, msg, **kw):
        kw['level'] = INFO
        self.log(msg, **kw)

logger = Logger()
